---
title: "Create a team"
url: "https://docs.signnow.com/docs/manage-team/operations/create-team"
type: "endpoint"
section: "manage-team"
slug: "manage-team/operations/create-team"
method: "POST"
path: "/team"
operation_id: "create-team"
authorization: "bearer"
---

# Create a team

`POST /team`

This endpoint allows API users to create a team.

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "name"
  ],
  "properties": {
    "name": {
      "type": "string",
      "description": "Name of the team. Up to `80` characters."
    },
    "type": {
      "type": "string",
      "description": "Team type: `VIEWABLE` or `SHAREABLE`. Default: `VIEWABLE`."
    }
  }
}
```

**Example** (`Request`)

```json
{
  "name": "New team",
  "type": "VIEWABLE"
}
```

## Responses

### 200

The team was created.

**Example** (`Successful response`)

```json
{
  "id": "70e7a191075ce507bf879218e35533fc8457ce37"
}
```

### 400

* Incorrect or missing `name`
* Incorrect payload
* Incorrect team type


**Example** (`Incorrect payload`)

```json
{
  "code": 65536,
  "message": "Invalid payload"
}
```

**Example** (`Incorrect team type`)

```json
{
  "code": 65536,
  "message": "Team type is not valid"
}
```

**Example** (`Incorrect or missing name`)

```json
{
  "code": 65701,
  "message": "Name must not be empty"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/team" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "New team", "type": "VIEWABLE"}'
```

---
*Full reference: https://docs.signnow.com/docs/manage-team/operations/create-team*
